package patrones.virtualproxy.eje1;

public class Client {
	public static void main(String[] args) {
		/*
		 * At this point objects required for the compile and run operations are
		 * created, but not the objects that provide the generate Javadoc
		 * functionality.
		 */
		IDEOperation IDE = new ProxyProcessor();
		IDE.compile("test.java");
		IDE.run("test.class");
		/*
		 * The Javadoc functionality is accessed For the first time and hence
		 * the Object offering the Javadoc generation Functionality is loaded at
		 * this point.
		 */
		IDE.generateDocs("test.java");
	}
}
